PortalAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.PortalAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class PortalAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController
                          org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.PortalAction

    public class PortalAction

extends ResourceController

A dispatcher for the alerts portal.

Field Summary
`protected static java.util.Properties` | `keyMethodMap`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`PortalAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `addOthers(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `addUsers(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editConditions(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editControlAction(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editProperties(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `editSyslogAction(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected java.util.Properties` | `getKeyMethodMap()` Provides the mapping from resource key to method name
`org.apache.struts.action.ActionForward` | `listDefinitions(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `monitorConfigureAlerts(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `newDefinition(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected AppdefEntityID` | `setResource(javax.servlet.http.HttpServletRequest request)` We override this in case the resource has been deleted ...
`protected void` | `setReturnPath(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)` This sets the return path for a ResourceAction by appending the type and resource id to the forward url.
`org.apache.struts.action.ActionForward` | `viewEscalation(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `viewOpenNMS(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `viewOthers(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `viewUsers(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`fetchReturnPathParams, setNavMapLocation, setResource, setResource, setReturnPath`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### keyMethodMap

    protected static java.util.Properties keyMethodMap

Constructor Detail

### PortalAction

    public PortalAction()

Method Detail

### getKeyMethodMap

    protected java.util.Properties getKeyMethodMap()

  Description copied from class: `BaseDispatchAction`
  Provides the mapping from resource key to method name

  Overrides:
    `getKeyMethodMap` in class `BaseDispatchAction`
  Returns:
    Resource key / method name map

### setResource

    protected AppdefEntityID setResource(javax.servlet.http.HttpServletRequest request)
                                  throws java.lang.Exception

  We override this in case the resource has been deleted ... simply ignore that fact.

  Overrides:
    `setResource` in class `ResourceController`
  Throws:
    `java.lang.Exception`

### newDefinition

    public org.apache.struts.action.ActionForward newDefinition(org.apache.struts.action.ActionMapping mapping,
                                                                org.apache.struts.action.ActionForm form,
                                                                javax.servlet.http.HttpServletRequest request,
                                                                javax.servlet.http.HttpServletResponse response)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editProperties

    public org.apache.struts.action.ActionForward editProperties(org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 javax.servlet.http.HttpServletRequest request,
                                                                 javax.servlet.http.HttpServletResponse response)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editConditions

    public org.apache.struts.action.ActionForward editConditions(org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 javax.servlet.http.HttpServletRequest request,
                                                                 javax.servlet.http.HttpServletResponse response)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editControlAction

    public org.apache.struts.action.ActionForward editControlAction(org.apache.struts.action.ActionMapping mapping,
                                                                    org.apache.struts.action.ActionForm form,
                                                                    javax.servlet.http.HttpServletRequest request,
                                                                    javax.servlet.http.HttpServletResponse response)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editSyslogAction

    public org.apache.struts.action.ActionForward editSyslogAction(org.apache.struts.action.ActionMapping mapping,
                                                                   org.apache.struts.action.ActionForm form,
                                                                   javax.servlet.http.HttpServletRequest request,
                                                                   javax.servlet.http.HttpServletResponse response)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### viewOthers

    public org.apache.struts.action.ActionForward viewOthers(org.apache.struts.action.ActionMapping mapping,
                                                             org.apache.struts.action.ActionForm form,
                                                             javax.servlet.http.HttpServletRequest request,
                                                             javax.servlet.http.HttpServletResponse response)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### viewUsers

    public org.apache.struts.action.ActionForward viewUsers(org.apache.struts.action.ActionMapping mapping,
                                                            org.apache.struts.action.ActionForm form,
                                                            javax.servlet.http.HttpServletRequest request,
                                                            javax.servlet.http.HttpServletResponse response)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### viewEscalation

    public org.apache.struts.action.ActionForward viewEscalation(org.apache.struts.action.ActionMapping mapping,
                                                                 org.apache.struts.action.ActionForm form,
                                                                 javax.servlet.http.HttpServletRequest request,
                                                                 javax.servlet.http.HttpServletResponse response)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### viewOpenNMS

    public org.apache.struts.action.ActionForward viewOpenNMS(org.apache.struts.action.ActionMapping mapping,
                                                              org.apache.struts.action.ActionForm form,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              javax.servlet.http.HttpServletResponse response)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### monitorConfigureAlerts

    public org.apache.struts.action.ActionForward monitorConfigureAlerts(org.apache.struts.action.ActionMapping mapping,
                                                                         org.apache.struts.action.ActionForm form,
                                                                         javax.servlet.http.HttpServletRequest request,
                                                                         javax.servlet.http.HttpServletResponse response)
                                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### listDefinitions

    public org.apache.struts.action.ActionForward listDefinitions(org.apache.struts.action.ActionMapping mapping,
                                                                  org.apache.struts.action.ActionForm form,
                                                                  javax.servlet.http.HttpServletRequest request,
                                                                  javax.servlet.http.HttpServletResponse response)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addUsers

    public org.apache.struts.action.ActionForward addUsers(org.apache.struts.action.ActionMapping mapping,
                                                           org.apache.struts.action.ActionForm form,
                                                           javax.servlet.http.HttpServletRequest request,
                                                           javax.servlet.http.HttpServletResponse response)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addOthers

    public org.apache.struts.action.ActionForward addOthers(org.apache.struts.action.ActionMapping mapping,
                                                            org.apache.struts.action.ActionForm form,
                                                            javax.servlet.http.HttpServletRequest request,
                                                            javax.servlet.http.HttpServletResponse response)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setReturnPath

    protected void setReturnPath(javax.servlet.http.HttpServletRequest request,
                                 org.apache.struts.action.ActionMapping mapping)
                          throws java.lang.Exception

  This sets the return path for a ResourceAction by appending the type and resource id to the forward url.

  Overrides:
    `setReturnPath` in class `ResourceController`
  Parameters:
    `request` - The current controller's request.
    `mapping` - The current controller's mapping that contains the input.
  Throws:
    `ParameterNotFoundException` - if the type or id are not found
    `javax.servlet.ServletException` - If there is not input defined for this form
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.